Jump to content
PhAzE

[PhAzE] Plugins for Unraid 5/6

3606 posts in this topic Last Reply

Recommended Posts

It says your out of memory. Do you have apps or other plugins installed to /usr/local ?

 

 

Share this post


Link to post

Telnet/SSH to server and run the code below and post the results.

df -h /usr

 

I've experienced a rash of problems of late where just after reboot /usr is already 100% used and nothing will work.

 

Share this post


Link to post

:-[

Having the same issue on multiple plugins for a while. Install keeps failing. Its looks like the root directory "/" "/usr" etc are all at 100%. Unraid is running on a 4GB USB drive. "/boot" is only 9% utilized. So not sure whats going on here. Any ideas how to fix??

 

2015-12-19 08:58:29 [iNFO] Installing SickRage...

2015-12-19 08:58:30 [iNFO] Updating dependencies

2015-12-19 08:58:30 [iNFO] Dependency install file has correct MD5

2015-12-19 08:58:30 [iNFO] Using /usr/local/PhAzE-Common for dependency directory

2015-12-19 08:58:32 [iNFO] Dependencies updated successfully

2015-12-19 08:58:32 [iNFO] Updating export file

2015-12-19 08:58:32 [iNFO] Updating shorcut file

2015-12-19 08:58:33 [iNFO] Latest version found: df91de9a79109999a085d1567ba0c5465f9545d2 - Checking USB for same install file

2015-12-19 08:58:33 [iNFO] No copy found on USB - Downloading install file and checking for MD5 file

2015-12-19 08:58:34 [ERROR] Install failed: Install file missing

 

 

==============

root@Tower:/boot# df -k /

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 483324      2028 100% /

root@Tower:/boot# df -k /usr

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 483324      2028 100% /

root@Tower:/boot# df -k /boot

Filesystem    1K-blocks  Used Available Use% Mounted on

/dev/sdb1        3902448 330664  3571784  9% /boot

Share this post


Link to post

Do you use a cache drive? What unraid version? Also where are you installing the app to?

Share this post


Link to post

Try this:

 

1. Stop all PhAzE plugins

2. Delete /usr/local/PhAzE-Common directory

3. Delete install file for app in /boot/config/plugins/pluginname

 

The install file and md5 file will be named similarly,  delete both.

 

4. Restart server and start the plugins.

 

These work best if you are using a cache drive but looking at the fact that dependencies are being installed to /usr/local folder, i cam see you don't have one yet.

 

In this case,  when not using a cache drive, to save space change the app install directory for each of my plugins to somewhere on the array (/mnt/disk1/Apps/AppName for example)

Share this post


Link to post

Thanks, tried your instructions. Result was that all my plugins disappeared. Not a big deal as I did not have an special config on them anyways.

Regardless, the issue is definitely related to a space issue on the "/" directly.

 

When i tried to reinstall the plugins, PhAze-Common quickly consumed all the available disk space on "/usr". This was the case even with the the install location pointed to a user specified directory on my array. See logs. I tried add justing two plugins. Transmission and Sickrage. Transmission was rather small so installed successfully and came up online. Sickrage failed because it ran out of space on the file system.

 

I repeatedly ran a disk space check as Sickrage was setting up. The install directory in the Sickrage settings was /mnt/disk1/persistence/Sickrage

 

 

root@Tower:/usr/local/PhAzE-Common# ls -l

total 0

drwxrwxrwx 2 root root  60 Dec 19 09:59 Transmission/

drwxr-xr-x 5 root root 100 Jun 12  2015 etc/

drwxr-xr-x 2 root root 120 Dec 19 09:59 lib64/

drwxr-xr-x 9 root root 180 Jun 12  2015 usr/

drwxrwxrwx 3 root root  60 Dec 19 09:58 var/

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 335956    149396  70% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 354824    130528  74% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 355196    130156  74% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 355252    130100  74% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 355252    130100  74% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 355804    129548  74% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 413052    72300  86% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 421948    63404  87% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 424684    60668  88% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 424752    60600  88% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 424916    60436  88% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 467448    17904  97% /

root@Tower:/usr/local/PhAzE-Common# df -k .

Filesystem    1K-blocks  Used Available Use% Mounted on

-                485352 485200      152 100% /

root@Tower:/usr/local/PhAzE-Common# df -k.

df: invalid option -- '.'

Try 'df --help' for more information.

root@Tower:/usr/local/PhAzE-Common# ls -l

total 0

drwxrwxrwx  2 root root  60 Dec 19 10:01 Sickrage/

drwxrwxrwx  2 root root  60 Dec 19 09:59 Transmission/

drwxr-xr-x  5 root root 100 Jun 12  2015 etc/

drwxr-xr-x  2 root root 140 Aug 20  2013 lib64/

drwxr-xr-x 11 root root 220 Aug 20  2013 usr/

drwxrwxrwx  3 root root  60 Dec 19 09:58 var/

 

Share this post


Link to post

How much ram does your nas have? The tempfs (ram drive) that the os is installed to during boot uses up to 2gb of ram, or half of what is available in the system.

 

Easiest solution is to make sure you have 4gb of ram. Alternatively, a small cache drive. My plugins will recognize a cache drive and install all the dependencies there instead.

 

This ram drive size problem is actually one of the main reasons limetech moved to dockers, which are installed to a cache drive or array drive entirely. My plugins install each plugins dependencies to the ram drove if no cache drive is present. 

Share this post


Link to post

Looking at your log, looks like the ram drive is about ~485 megs which suggests you are running 1gb ram on that machine, is that right?

Share this post


Link to post

Yes thats right. I have an ancient AMD Athalon PC running unraid. Just 1GB of RAM. Didnt realize that root was on a RAM drive (disk space discrepancy with /boot make sense now).

 

I was planning to move everything to a 16GB i5 server so i can do plex + VMs. I guess I need to start that migration right away.

 

Thanks for the help!

Share this post


Link to post

Yea i was running 9 plugins on just 4gb but for you a small 500gb cache drive will probably solve the issue and be the cheapest way.

Share this post


Link to post

Can't seem to update Sonarr to the update pushed out a few days ago? I've always done it via the plaze plugin GUI. However, the latest update the plugin doesn't seem to detect that Sonarr is out of date, and gives no button to update.

 

Updating via Sonarr itself doesn't work, it just launches with the same out of date version after "successfully" updating.

Fixed in latest update.

 

They finally changed their download url to http://update.sonarr.tv/v2 instead of http://update.nzbdrone.com/v2, and removed the old redirect.  I have updated the URL in this update.

Share this post


Link to post

Also fixed SabNZBD so Unrar shows the version instead of not working (which was a false not working message).

Share this post


Link to post

Hey PhAzE,

 

Regarding my post from earlier, do I need to install pyopenssl or openssl to get the CP plugin working?

 

 

Hi There,

 

I've got Phaze's Couch Potato plugin installed and I think the plugin is working fine, but I can't get CP to download anything.

 

Failed getting cache: Traceback (most recent call last): AttributeError: '_socketobject' object has no attribute 'set_tlsext_host_name'

 

Doing a search of the CP forums leads me to believe that I need to install a new version of pyopenssl and openssl. I'm not that well versed in this type of thing. Can anyone tell me how to figure out how to do this?

 

Ben

 

CP logs

 

11-30 23:04:42 INFO
[hpotato.core.plugins.base] Opening url: get https://api.oznzb.com/api?imdbid=0478970&apikey=xxx&t=movie&extended=1, data: []
11-30 23:04:42 DEBUG
[hpotato.core.plugins.base] Waiting for Newznab, 1 seconds
11-30 23:04:42 DEBUG
[hpotato.core.plugins.base] Failed getting cache: Traceback (most recent call last): AttributeError: '_socketobject' object has no attribute 'set_tlsext_host_name'
11-30 23:04:42 DEBUG
[core.media.movie.searcher] Nothing found for Ant-Man in 720p
11-30 23:04:42 DEBUG
[tato.core.plugins.quality] Compare quality 1080p not found in profile identifiers [u'720p', u'brrip', u'dvdrip']
11-30 23:04:42 INFO
[core.media.movie.searcher] Search for Ant-Man in BR-Rip ignoring ETA
11-30 23:04:43 DEBUG
[o.core.notifications.core] Getting messages with id: 5c519bba-2b6b-4299-bf66-8ba08b43ce3d
11-30 23:04:43 DEBUG
[o.core.notifications.core] Returning for 5c519bba-2b6b-4299-bf66-8ba08b43ce3d 0 messages
11-30 23:04:44 INFO
[hpotato.core.plugins.base] Opening url: get https://api.oznzb.com/api?imdbid=3316948&apikey=xxx&t=movie&extended=1, data: []
11-30 23:04:44 DEBUG
[hpotato.core.plugins.base] Waiting for Newznab, 1 seconds
11-30 23:04:44 DEBUG
[hpotato.core.plugins.base] Failed getting cache: Traceback (most recent call last): AttributeError: '_socketobject' object has no attribute 'set_tlsext_host_name'
11-30 23:04:44 DEBUG
[core.media.movie.searcher] Nothing found for American Ultra in BR-Rip
11-30 23:04:44 INFO
[core.media.movie.searcher] Search for American Ultra in DVD-Rip ignoring ETA

 

Cypress, are you still getting this error in CP?  I see it is an issue with PyOpenSSL, but my plugin is running version 15.1 which is the latest version. I see that other uses on the CP forums were having this problem also, but after they upgraded to 15.1 the issue went away. Odd that you are seeing this on that same version.

Share this post


Link to post

Hi Everyone,

 

Changes made today:

- Sabnzbd - Updated UnRar version check regex to grab proper version instead of showing 'not working'.

- Sabnzbd - Updated URL for where to get new version. This will let you update to beta3 now which is the latest they've posted.

- Sonarr - Updated URL for new version and download. This will let you update to the latest version again (or perform fresh installs)

 

To Do:

- Some people are showing issues in CP and Sab (need log files for Sab to see what errors exactly). I'm investigating, but ssl problems are always a huge pain in the butt.  Life's been a little busy lately, so it's taking me a bit of time to get to some of these changes.  Keep on letting me know when you come across problems so I can keep looking at them :)

 

BTW, sorry for the delay on some of these changes, I discovered my new phone had "optimized" my tapatalk app which prevents it from getting notifications since it effectively hybernates the app! I've fixed that issue so I will see posts again.

 

-=PhAzE=-

Share this post


Link to post

If you do make changes, you would need to add prominent notes in your first post about where to ask for support for each plugin, and how to search back for answers (with a link back to this monster), and Squid would make the same changes in Community Applications, and I would adjust the upgrade guide.

One of my jobs for today (in between cleaning house for an XMas party) is to bang together some templates for these plugins so that

 

- They show up within CA (and the App Thread) (with all the advantages and extras that that entails)

- PhAzE can then fork it and change any / all support threads for each plugin in a matter of seconds as he desires

Hi Squid, what will I need to do to help and when?

Share this post


Link to post

Is that a problem with unraid os?

Not exactly sure...  had no plugins and still did it with Dockers.  Rebooted again and fixed itself.  None of the plugins are working for me, dependency issues.  All the problems with not starting was related to /usr being 100%.  Still haven't got everything figured out.  Used to work beautifully until I started playing with Dockers.  Only other thing was i ran new permission script not too long ago.  Deleted all dependencies,  plugin files and let it install new, no go.

Share this post


Link to post

Is that a problem with unraid os?

Not exactly sure...  had no plugins and still did it with Dockers.  Rebooted again and fixed itself.  None of the plugins are working for me, dependency issues.  All the problems with not starting was related to /usr being 100%.  Still haven't got everything figured out.  Used to work beautifully until I started playing with Dockers.  Only other thing was i ran new permission script not too long ago.  Deleted all dependencies,  plugin files and let it install new, no go.

Do you use a cache drive and how much ram is in your server?

Share this post


Link to post

Is that a problem with unraid os?

Not exactly sure...  had no plugins and still did it with Dockers.  Rebooted again and fixed itself.  None of the plugins are working for me, dependency issues.  All the problems with not starting was related to /usr being 100%.  Still haven't got everything figured out.  Used to work beautifully until I started playing with Dockers.  Only other thing was i ran new permission script not too long ago.  Deleted all dependencies,  plugin files and let it install new, no go.

Do you use a cache drive and how much ram is in your server?

Use cache and dependencies do install there.  16gig ram, /usr is 8gig, and it fills 100% right after boot at times.  Removed all plugins (yours plus apache, kept virtualbox), and packages.  Hasn't repeated in last three reboots while I figure out Dockers, which so far are rather flaky and finicky and dont always start yet logs show nothing is wrong.  I'm missing 5.0...

Share this post


Link to post

If you do make changes, you would need to add prominent notes in your first post about where to ask for support for each plugin, and how to search back for answers (with a link back to this monster), and Squid would make the same changes in Community Applications, and I would adjust the upgrade guide.

One of my jobs for today (in between cleaning house for an XMas party) is to bang together some templates for these plugins so that

 

- They show up within CA (and the App Thread) (with all the advantages and extras that that entails)

- PhAzE can then fork it and change any / all support threads for each plugin in a matter of seconds as he desires

Hi Squid, what will I need to do to help and when?

Hey PhAzE.

 

Fork this repo https://github.com/Squidly271/PhAzE-Plugin-Repository/ and let me know the url. 

 

After that at your convenience you can make any adjustments to any of the entries as you choose (support links, descriptions, etc) and CA/the app thread picks up the changes automatically.  If the plugins are compatible with 6.0 you'll want to add <MinVer> to all of them.  PM me with any questions.  It also wouldn't be a bad idea to add the launch entity to the actual plg files so that CA (or the plugins page in unraid) can jump directly to the settings page.

 

If you do set up individual support links (completely up to you)  then I will still leave this thread as your "announcement" thread.

 

Share this post


Link to post

Installed the latest unRAID release today and added both Sickbeard and Sabnzbd to my system. Both will work for a period of time but after a few hours things start to fall apart.

 

Working after install

jeLCd9S.jpg

 

 

Not working

HEfeNL5.jpg

 

The only thing I can do to get things working again is completely remove both plugins and re-install. Then they'll fall apart again. Any help appreciated.

Share this post


Link to post

PhAzE

 

I am currently (about to this week) upgrading my UnRaid server from v5 to v6.  I only have Emby server installed.  So i need to do anything after I upgrade the UnRaid server, like install Emby again?    I'm guessing I need to backup my emby settings too?!?!

Share this post


Link to post

PhAzE

 

I am currently (about to this week) upgrading my UnRaid server from v5 to v6.  I only have Emby server installed.  So i need to do anything after I upgrade the UnRaid server, like install Emby again?    I'm guessing I need to backup my emby settings too?!?!

Back up your emby config folder just in case but otherwise no, my plugins will seamlessly "just work" when you upgrade.

Share this post


Link to post

Installed the latest unRAID release today and added both Sickbeard and Sabnzbd to my system. Both will work for a period of time but after a few hours things start to fall apart.

 

Working after install

jeLCd9S.jpg

 

 

Not working

HEfeNL5.jpg

 

The only thing I can do to get things working again is completely remove both plugins and re-install. Then they'll fall apart again. Any help appreciated.

Can you post a pic of your settings?  Sounds like something is moving the files after a while, perhaps the mover script.

Share this post


Link to post

I moved to dockerized versions of the apps because I was in a panic to get Homeland downloaded last night.  8)

 

However, I pointed the installation directories to /mnt/cache/.sickbeard and /mnt/cache/.sabnzbd so they are not touched by the mover.

 

I could SSH into the box and python, par2cmd, and unrar were not available.  :o

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.